> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get model quality scheduled check data



## OpenAPI

````yaml /api-specs/cloud/dmm.json get /model-monitor/v2/api/model/{scheduled_check_id}/model-quality-scheduled-check-data
openapi: 3.0.3
info:
  description: The API for programmatic access to Domino Model Monitor.
  title: Domino Model Monitor API
  version: 1.0.1
servers:
  - description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
    url: https://mycluster.domino.tech
security: []
tags:
  - description: All Dataset Job related operations.
    name: DatasetJob
  - description: All data source related operations.
    name: DataSource
  - description: All Model related operations.
    name: Model
  - description: Operations related to the management of model tags.
    name: ModelTag
  - description: All Model drift related operations.
    name: ModelDrift
  - description: All Model quality related operations.
    name: ModelQuality
  - description: All Workbench related operations.
    name: Workbench
  - description: Operations related to drift and model quality defaults setting in DMM.
    name: DefaultSettings
  - description: Operations related to configuring user related settings for DMM.
    name: UserSettings
  - description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
    name: Notification
  - description: Other miscellaneous operations.
    name: Other
  - description: All scheduler related operations
    name: Scheduler
paths:
  /model-monitor/v2/api/model/{scheduled_check_id}/model-quality-scheduled-check-data:
    summary: >-
      Gets the model scheduled check data for MQ schedule history page for the
      passed scheduled check id
    parameters:
      - in: path
        name: scheduled_check_id
        required: true
        schema:
          type: string
    get:
      tags:
        - ModelQuality
      summary: Get model quality scheduled check data
      operationId: getModelQualityScheduledCheckData
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/scheduledCheckResult'
          description: Gets the scheduled check data
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '404':
          description: Data for passed Scheduled Check Id not found.
        '500':
          description: Internal server error, check server logs.
      security:
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
        - BearerAuth: []
components:
  schemas:
    scheduledCheckResult:
      properties:
        calculatedOn:
          description: Timestamp of the date when this check was executed.
          type: number
        metricTestResults:
          description: Metric Test Results for the queries.
          items:
            $ref: '#/components/schemas/metricTestResultCommon'
          type: array
        numberOfMatchedRows:
          description: >-
            Number of matched Ground Truth and Prediction rows for this
            scheduled check.
          type: number
        scheduledCheckDataEndDate:
          description: End Timestamp of the data window of the check.
          type: number
        scheduledCheckDataStartDate:
          description: Start Timestamp of the data window of the check.
          type: number
      required:
        - calculatedOn
        - scheduledCheckDataStartDate
        - scheduledCheckDataEndDate
        - metricTestResults
        - numberOfMatchedRows
      type: object
    metricTestResultCommon:
      properties:
        alertsEnabled:
          description: Boolean value to determine if Alerts are Enabled
          title: Are Alerts Enabled
          type: boolean
        metricType:
          description: Metric name
          title: Metric name
          type: string
        numberOfRecords:
          description: Ground Truth matched records
          title: Number of ground truth records matched with prediction
          type: integer
        status:
          description: Status of the check for the metric.
          nullable: true
          title: Metric check status
          type: boolean
        threshold:
          $ref: '#/components/schemas/metricCheckThreshold'
        value:
          description: Metric computed value
          nullable: true
          title: Metric Value
          type: number
      required:
        - metricType
        - threshold
        - alertsEnabled
      type: object
    metricCheckThreshold:
      description: Check Thresholds at which the check fails
      properties:
        lowerThreshold:
          description: The lower bound for the metric check
          title: Lower Bound
          type: number
        operator:
          description: The math operator for the condition, like < or <=.
          title: Math Operator
          type: string
        upperThreshold:
          description: The upper bound for the metric check
          title: Upper Bound
          type: number
      required:
        - operator
        - lowerThreshold
        - upperThreshold
      title: Metric Check Thresholds
      type: object
  securitySchemes:
    DominoApiKeyAuth:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    DmmApiKeyAuth:
      in: header
      name: X-DMM-API-KEY
      type: apiKey
    cookieAuth:
      in: cookie
      name: PLAY_SESSION
      type: apiKey
    BearerAuth:
      scheme: bearer
      type: http

````

## Related topics

- [Get model quality scheduled checks timeline](/api-reference/modelquality/get-model-quality-scheduled-checks-timeline.md)
- [Set scheduled checks](/cloud/platform-capabilities/features/monitoring/4-set-up-model-monitor/8-set-scheduled-checks-mm.md)
- [Domino endpoint scheduled checks](/cloud/platform-capabilities/features/monitoring/3-set-up-domino-endpoints/6-set-scheduled-checks.md)
- [Get model summary](/api-reference/model/get-model-summary.md)
